Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network19.224.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
19.224.0.0
Broadcast address
19.255.255.255
First usable
19.224.0.1
Last usable
19.255.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
A (default /8)
As numbers
Hex 13E00000 · Integer 333447168 to 335544319
Reverse DNS zones
224.19.in-addr.arpa
225.19.in-addr.arpa
226.19.in-addr.arpa
227.19.in-addr.arpa
228.19.in-addr.arpa
229.19.in-addr.arpa
230.19.in-addr.arpa
231.19.in-addr.arpa
232.19.in-addr.arpa
233.19.in-addr.arpa
234.19.in-addr.arpa
235.19.in-addr.arpa
236.19.in-addr.arpa
237.19.in-addr.arpa
238.19.in-addr.arpa
239.19.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010011.11100000.00000000.0000000019.224.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network00010011.11100000.00000000.0000000019.224.0.0
Broadcast00010011.11111111.11111111.1111111119.255.255.255
Split into smaller subnets/20

19.224.0.0/11 makes 512 subnets of /20; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
119.224.0.0/2019.224.0.1 to 19.224.15.25419.224.15.2554,094
219.224.16.0/2019.224.16.1 to 19.224.31.25419.224.31.2554,094
319.224.32.0/2019.224.32.1 to 19.224.47.25419.224.47.2554,094
419.224.48.0/2019.224.48.1 to 19.224.63.25419.224.63.2554,094
519.224.64.0/2019.224.64.1 to 19.224.79.25419.224.79.2554,094
619.224.80.0/2019.224.80.1 to 19.224.95.25419.224.95.2554,094
719.224.96.0/2019.224.96.1 to 19.224.111.25419.224.111.2554,094
819.224.112.0/2019.224.112.1 to 19.224.127.25419.224.127.2554,094
919.224.128.0/2019.224.128.1 to 19.224.143.25419.224.143.2554,094
1019.224.144.0/2019.224.144.1 to 19.224.159.25419.224.159.2554,094
1119.224.160.0/2019.224.160.1 to 19.224.175.25419.224.175.2554,094
1219.224.176.0/2019.224.176.1 to 19.224.191.25419.224.191.2554,094
1319.224.192.0/2019.224.192.1 to 19.224.207.25419.224.207.2554,094
1419.224.208.0/2019.224.208.1 to 19.224.223.25419.224.223.2554,094
1519.224.224.0/2019.224.224.1 to 19.224.239.25419.224.239.2554,094
1619.224.240.0/2019.224.240.1 to 19.224.255.25419.224.255.2554,094
1719.225.0.0/2019.225.0.1 to 19.225.15.25419.225.15.2554,094
1819.225.16.0/2019.225.16.1 to 19.225.31.25419.225.31.2554,094
1919.225.32.0/2019.225.32.1 to 19.225.47.25419.225.47.2554,094
2019.225.48.0/2019.225.48.1 to 19.225.63.25419.225.63.2554,094
2119.225.64.0/2019.225.64.1 to 19.225.79.25419.225.79.2554,094
2219.225.80.0/2019.225.80.1 to 19.225.95.25419.225.95.2554,094
2319.225.96.0/2019.225.96.1 to 19.225.111.25419.225.111.2554,094
2419.225.112.0/2019.225.112.1 to 19.225.127.25419.225.127.2554,094
2519.225.128.0/2019.225.128.1 to 19.225.143.25419.225.143.2554,094
2619.225.144.0/2019.225.144.1 to 19.225.159.25419.225.159.2554,094
2719.225.160.0/2019.225.160.1 to 19.225.175.25419.225.175.2554,094
2819.225.176.0/2019.225.176.1 to 19.225.191.25419.225.191.2554,094
2919.225.192.0/2019.225.192.1 to 19.225.207.25419.225.207.2554,094
3019.225.208.0/2019.225.208.1 to 19.225.223.25419.225.223.2554,094
3119.225.224.0/2019.225.224.1 to 19.225.239.25419.225.239.2554,094
3219.225.240.0/2019.225.240.1 to 19.225.255.25419.225.255.2554,094
3319.226.0.0/2019.226.0.1 to 19.226.15.25419.226.15.2554,094
3419.226.16.0/2019.226.16.1 to 19.226.31.25419.226.31.2554,094
3519.226.32.0/2019.226.32.1 to 19.226.47.25419.226.47.2554,094
3619.226.48.0/2019.226.48.1 to 19.226.63.25419.226.63.2554,094
3719.226.64.0/2019.226.64.1 to 19.226.79.25419.226.79.2554,094
3819.226.80.0/2019.226.80.1 to 19.226.95.25419.226.95.2554,094
3919.226.96.0/2019.226.96.1 to 19.226.111.25419.226.111.2554,094
4019.226.112.0/2019.226.112.1 to 19.226.127.25419.226.127.2554,094
4119.226.128.0/2019.226.128.1 to 19.226.143.25419.226.143.2554,094
4219.226.144.0/2019.226.144.1 to 19.226.159.25419.226.159.2554,094
4319.226.160.0/2019.226.160.1 to 19.226.175.25419.226.175.2554,094
4419.226.176.0/2019.226.176.1 to 19.226.191.25419.226.191.2554,094
4519.226.192.0/2019.226.192.1 to 19.226.207.25419.226.207.2554,094
4619.226.208.0/2019.226.208.1 to 19.226.223.25419.226.223.2554,094
4719.226.224.0/2019.226.224.1 to 19.226.239.25419.226.239.2554,094
4819.226.240.0/2019.226.240.1 to 19.226.255.25419.226.255.2554,094
4919.227.0.0/2019.227.0.1 to 19.227.15.25419.227.15.2554,094
5019.227.16.0/2019.227.16.1 to 19.227.31.25419.227.31.2554,094
5119.227.32.0/2019.227.32.1 to 19.227.47.25419.227.47.2554,094
5219.227.48.0/2019.227.48.1 to 19.227.63.25419.227.63.2554,094
5319.227.64.0/2019.227.64.1 to 19.227.79.25419.227.79.2554,094
5419.227.80.0/2019.227.80.1 to 19.227.95.25419.227.95.2554,094
5519.227.96.0/2019.227.96.1 to 19.227.111.25419.227.111.2554,094
5619.227.112.0/2019.227.112.1 to 19.227.127.25419.227.127.2554,094
5719.227.128.0/2019.227.128.1 to 19.227.143.25419.227.143.2554,094
5819.227.144.0/2019.227.144.1 to 19.227.159.25419.227.159.2554,094
5919.227.160.0/2019.227.160.1 to 19.227.175.25419.227.175.2554,094
6019.227.176.0/2019.227.176.1 to 19.227.191.25419.227.191.2554,094
6119.227.192.0/2019.227.192.1 to 19.227.207.25419.227.207.2554,094
6219.227.208.0/2019.227.208.1 to 19.227.223.25419.227.223.2554,094
6319.227.224.0/2019.227.224.1 to 19.227.239.25419.227.239.2554,094
6419.227.240.0/2019.227.240.1 to 19.227.255.25419.227.255.2554,094
6519.228.0.0/2019.228.0.1 to 19.228.15.25419.228.15.2554,094
6619.228.16.0/2019.228.16.1 to 19.228.31.25419.228.31.2554,094
6719.228.32.0/2019.228.32.1 to 19.228.47.25419.228.47.2554,094
6819.228.48.0/2019.228.48.1 to 19.228.63.25419.228.63.2554,094
6919.228.64.0/2019.228.64.1 to 19.228.79.25419.228.79.2554,094
7019.228.80.0/2019.228.80.1 to 19.228.95.25419.228.95.2554,094
7119.228.96.0/2019.228.96.1 to 19.228.111.25419.228.111.2554,094
7219.228.112.0/2019.228.112.1 to 19.228.127.25419.228.127.2554,094
7319.228.128.0/2019.228.128.1 to 19.228.143.25419.228.143.2554,094
7419.228.144.0/2019.228.144.1 to 19.228.159.25419.228.159.2554,094
7519.228.160.0/2019.228.160.1 to 19.228.175.25419.228.175.2554,094
7619.228.176.0/2019.228.176.1 to 19.228.191.25419.228.191.2554,094
7719.228.192.0/2019.228.192.1 to 19.228.207.25419.228.207.2554,094
7819.228.208.0/2019.228.208.1 to 19.228.223.25419.228.223.2554,094
7919.228.224.0/2019.228.224.1 to 19.228.239.25419.228.239.2554,094
8019.228.240.0/2019.228.240.1 to 19.228.255.25419.228.255.2554,094
8119.229.0.0/2019.229.0.1 to 19.229.15.25419.229.15.2554,094
8219.229.16.0/2019.229.16.1 to 19.229.31.25419.229.31.2554,094
8319.229.32.0/2019.229.32.1 to 19.229.47.25419.229.47.2554,094
8419.229.48.0/2019.229.48.1 to 19.229.63.25419.229.63.2554,094
8519.229.64.0/2019.229.64.1 to 19.229.79.25419.229.79.2554,094
8619.229.80.0/2019.229.80.1 to 19.229.95.25419.229.95.2554,094
8719.229.96.0/2019.229.96.1 to 19.229.111.25419.229.111.2554,094
8819.229.112.0/2019.229.112.1 to 19.229.127.25419.229.127.2554,094
8919.229.128.0/2019.229.128.1 to 19.229.143.25419.229.143.2554,094
9019.229.144.0/2019.229.144.1 to 19.229.159.25419.229.159.2554,094
9119.229.160.0/2019.229.160.1 to 19.229.175.25419.229.175.2554,094
9219.229.176.0/2019.229.176.1 to 19.229.191.25419.229.191.2554,094
9319.229.192.0/2019.229.192.1 to 19.229.207.25419.229.207.2554,094
9419.229.208.0/2019.229.208.1 to 19.229.223.25419.229.223.2554,094
9519.229.224.0/2019.229.224.1 to 19.229.239.25419.229.239.2554,094
9619.229.240.0/2019.229.240.1 to 19.229.255.25419.229.255.2554,094
9719.230.0.0/2019.230.0.1 to 19.230.15.25419.230.15.2554,094
9819.230.16.0/2019.230.16.1 to 19.230.31.25419.230.31.2554,094
9919.230.32.0/2019.230.32.1 to 19.230.47.25419.230.47.2554,094
10019.230.48.0/2019.230.48.1 to 19.230.63.25419.230.63.2554,094
10119.230.64.0/2019.230.64.1 to 19.230.79.25419.230.79.2554,094
10219.230.80.0/2019.230.80.1 to 19.230.95.25419.230.95.2554,094
10319.230.96.0/2019.230.96.1 to 19.230.111.25419.230.111.2554,094
10419.230.112.0/2019.230.112.1 to 19.230.127.25419.230.127.2554,094
10519.230.128.0/2019.230.128.1 to 19.230.143.25419.230.143.2554,094
10619.230.144.0/2019.230.144.1 to 19.230.159.25419.230.159.2554,094
10719.230.160.0/2019.230.160.1 to 19.230.175.25419.230.175.2554,094
10819.230.176.0/2019.230.176.1 to 19.230.191.25419.230.191.2554,094
10919.230.192.0/2019.230.192.1 to 19.230.207.25419.230.207.2554,094
11019.230.208.0/2019.230.208.1 to 19.230.223.25419.230.223.2554,094
11119.230.224.0/2019.230.224.1 to 19.230.239.25419.230.239.2554,094
11219.230.240.0/2019.230.240.1 to 19.230.255.25419.230.255.2554,094
11319.231.0.0/2019.231.0.1 to 19.231.15.25419.231.15.2554,094
11419.231.16.0/2019.231.16.1 to 19.231.31.25419.231.31.2554,094
11519.231.32.0/2019.231.32.1 to 19.231.47.25419.231.47.2554,094
11619.231.48.0/2019.231.48.1 to 19.231.63.25419.231.63.2554,094
11719.231.64.0/2019.231.64.1 to 19.231.79.25419.231.79.2554,094
11819.231.80.0/2019.231.80.1 to 19.231.95.25419.231.95.2554,094
11919.231.96.0/2019.231.96.1 to 19.231.111.25419.231.111.2554,094
12019.231.112.0/2019.231.112.1 to 19.231.127.25419.231.127.2554,094
12119.231.128.0/2019.231.128.1 to 19.231.143.25419.231.143.2554,094
12219.231.144.0/2019.231.144.1 to 19.231.159.25419.231.159.2554,094
12319.231.160.0/2019.231.160.1 to 19.231.175.25419.231.175.2554,094
12419.231.176.0/2019.231.176.1 to 19.231.191.25419.231.191.2554,094
12519.231.192.0/2019.231.192.1 to 19.231.207.25419.231.207.2554,094
12619.231.208.0/2019.231.208.1 to 19.231.223.25419.231.223.2554,094
12719.231.224.0/2019.231.224.1 to 19.231.239.25419.231.239.2554,094
12819.231.240.0/2019.231.240.1 to 19.231.255.25419.231.255.2554,094
12919.232.0.0/2019.232.0.1 to 19.232.15.25419.232.15.2554,094
13019.232.16.0/2019.232.16.1 to 19.232.31.25419.232.31.2554,094
13119.232.32.0/2019.232.32.1 to 19.232.47.25419.232.47.2554,094
13219.232.48.0/2019.232.48.1 to 19.232.63.25419.232.63.2554,094
13319.232.64.0/2019.232.64.1 to 19.232.79.25419.232.79.2554,094
13419.232.80.0/2019.232.80.1 to 19.232.95.25419.232.95.2554,094
13519.232.96.0/2019.232.96.1 to 19.232.111.25419.232.111.2554,094
13619.232.112.0/2019.232.112.1 to 19.232.127.25419.232.127.2554,094
13719.232.128.0/2019.232.128.1 to 19.232.143.25419.232.143.2554,094
13819.232.144.0/2019.232.144.1 to 19.232.159.25419.232.159.2554,094
13919.232.160.0/2019.232.160.1 to 19.232.175.25419.232.175.2554,094
14019.232.176.0/2019.232.176.1 to 19.232.191.25419.232.191.2554,094
14119.232.192.0/2019.232.192.1 to 19.232.207.25419.232.207.2554,094
14219.232.208.0/2019.232.208.1 to 19.232.223.25419.232.223.2554,094
14319.232.224.0/2019.232.224.1 to 19.232.239.25419.232.239.2554,094
14419.232.240.0/2019.232.240.1 to 19.232.255.25419.232.255.2554,094
14519.233.0.0/2019.233.0.1 to 19.233.15.25419.233.15.2554,094
14619.233.16.0/2019.233.16.1 to 19.233.31.25419.233.31.2554,094
14719.233.32.0/2019.233.32.1 to 19.233.47.25419.233.47.2554,094
14819.233.48.0/2019.233.48.1 to 19.233.63.25419.233.63.2554,094
14919.233.64.0/2019.233.64.1 to 19.233.79.25419.233.79.2554,094
15019.233.80.0/2019.233.80.1 to 19.233.95.25419.233.95.2554,094
15119.233.96.0/2019.233.96.1 to 19.233.111.25419.233.111.2554,094
15219.233.112.0/2019.233.112.1 to 19.233.127.25419.233.127.2554,094
15319.233.128.0/2019.233.128.1 to 19.233.143.25419.233.143.2554,094
15419.233.144.0/2019.233.144.1 to 19.233.159.25419.233.159.2554,094
15519.233.160.0/2019.233.160.1 to 19.233.175.25419.233.175.2554,094
15619.233.176.0/2019.233.176.1 to 19.233.191.25419.233.191.2554,094
15719.233.192.0/2019.233.192.1 to 19.233.207.25419.233.207.2554,094
15819.233.208.0/2019.233.208.1 to 19.233.223.25419.233.223.2554,094
15919.233.224.0/2019.233.224.1 to 19.233.239.25419.233.239.2554,094
16019.233.240.0/2019.233.240.1 to 19.233.255.25419.233.255.2554,094
16119.234.0.0/2019.234.0.1 to 19.234.15.25419.234.15.2554,094
16219.234.16.0/2019.234.16.1 to 19.234.31.25419.234.31.2554,094
16319.234.32.0/2019.234.32.1 to 19.234.47.25419.234.47.2554,094
16419.234.48.0/2019.234.48.1 to 19.234.63.25419.234.63.2554,094
16519.234.64.0/2019.234.64.1 to 19.234.79.25419.234.79.2554,094
16619.234.80.0/2019.234.80.1 to 19.234.95.25419.234.95.2554,094
16719.234.96.0/2019.234.96.1 to 19.234.111.25419.234.111.2554,094
16819.234.112.0/2019.234.112.1 to 19.234.127.25419.234.127.2554,094
16919.234.128.0/2019.234.128.1 to 19.234.143.25419.234.143.2554,094
17019.234.144.0/2019.234.144.1 to 19.234.159.25419.234.159.2554,094
17119.234.160.0/2019.234.160.1 to 19.234.175.25419.234.175.2554,094
17219.234.176.0/2019.234.176.1 to 19.234.191.25419.234.191.2554,094
17319.234.192.0/2019.234.192.1 to 19.234.207.25419.234.207.2554,094
17419.234.208.0/2019.234.208.1 to 19.234.223.25419.234.223.2554,094
17519.234.224.0/2019.234.224.1 to 19.234.239.25419.234.239.2554,094
17619.234.240.0/2019.234.240.1 to 19.234.255.25419.234.255.2554,094
17719.235.0.0/2019.235.0.1 to 19.235.15.25419.235.15.2554,094
17819.235.16.0/2019.235.16.1 to 19.235.31.25419.235.31.2554,094
17919.235.32.0/2019.235.32.1 to 19.235.47.25419.235.47.2554,094
18019.235.48.0/2019.235.48.1 to 19.235.63.25419.235.63.2554,094
18119.235.64.0/2019.235.64.1 to 19.235.79.25419.235.79.2554,094
18219.235.80.0/2019.235.80.1 to 19.235.95.25419.235.95.2554,094
18319.235.96.0/2019.235.96.1 to 19.235.111.25419.235.111.2554,094
18419.235.112.0/2019.235.112.1 to 19.235.127.25419.235.127.2554,094
18519.235.128.0/2019.235.128.1 to 19.235.143.25419.235.143.2554,094
18619.235.144.0/2019.235.144.1 to 19.235.159.25419.235.159.2554,094
18719.235.160.0/2019.235.160.1 to 19.235.175.25419.235.175.2554,094
18819.235.176.0/2019.235.176.1 to 19.235.191.25419.235.191.2554,094
18919.235.192.0/2019.235.192.1 to 19.235.207.25419.235.207.2554,094
19019.235.208.0/2019.235.208.1 to 19.235.223.25419.235.223.2554,094
19119.235.224.0/2019.235.224.1 to 19.235.239.25419.235.239.2554,094
19219.235.240.0/2019.235.240.1 to 19.235.255.25419.235.255.2554,094
19319.236.0.0/2019.236.0.1 to 19.236.15.25419.236.15.2554,094
19419.236.16.0/2019.236.16.1 to 19.236.31.25419.236.31.2554,094
19519.236.32.0/2019.236.32.1 to 19.236.47.25419.236.47.2554,094
19619.236.48.0/2019.236.48.1 to 19.236.63.25419.236.63.2554,094
19719.236.64.0/2019.236.64.1 to 19.236.79.25419.236.79.2554,094
19819.236.80.0/2019.236.80.1 to 19.236.95.25419.236.95.2554,094
19919.236.96.0/2019.236.96.1 to 19.236.111.25419.236.111.2554,094
20019.236.112.0/2019.236.112.1 to 19.236.127.25419.236.127.2554,094
20119.236.128.0/2019.236.128.1 to 19.236.143.25419.236.143.2554,094
20219.236.144.0/2019.236.144.1 to 19.236.159.25419.236.159.2554,094
20319.236.160.0/2019.236.160.1 to 19.236.175.25419.236.175.2554,094
20419.236.176.0/2019.236.176.1 to 19.236.191.25419.236.191.2554,094
20519.236.192.0/2019.236.192.1 to 19.236.207.25419.236.207.2554,094
20619.236.208.0/2019.236.208.1 to 19.236.223.25419.236.223.2554,094
20719.236.224.0/2019.236.224.1 to 19.236.239.25419.236.239.2554,094
20819.236.240.0/2019.236.240.1 to 19.236.255.25419.236.255.2554,094
20919.237.0.0/2019.237.0.1 to 19.237.15.25419.237.15.2554,094
21019.237.16.0/2019.237.16.1 to 19.237.31.25419.237.31.2554,094
21119.237.32.0/2019.237.32.1 to 19.237.47.25419.237.47.2554,094
21219.237.48.0/2019.237.48.1 to 19.237.63.25419.237.63.2554,094
21319.237.64.0/2019.237.64.1 to 19.237.79.25419.237.79.2554,094
21419.237.80.0/2019.237.80.1 to 19.237.95.25419.237.95.2554,094
21519.237.96.0/2019.237.96.1 to 19.237.111.25419.237.111.2554,094
21619.237.112.0/2019.237.112.1 to 19.237.127.25419.237.127.2554,094
21719.237.128.0/2019.237.128.1 to 19.237.143.25419.237.143.2554,094
21819.237.144.0/2019.237.144.1 to 19.237.159.25419.237.159.2554,094
21919.237.160.0/2019.237.160.1 to 19.237.175.25419.237.175.2554,094
22019.237.176.0/2019.237.176.1 to 19.237.191.25419.237.191.2554,094
22119.237.192.0/2019.237.192.1 to 19.237.207.25419.237.207.2554,094
22219.237.208.0/2019.237.208.1 to 19.237.223.25419.237.223.2554,094
22319.237.224.0/2019.237.224.1 to 19.237.239.25419.237.239.2554,094
22419.237.240.0/2019.237.240.1 to 19.237.255.25419.237.255.2554,094
22519.238.0.0/2019.238.0.1 to 19.238.15.25419.238.15.2554,094
22619.238.16.0/2019.238.16.1 to 19.238.31.25419.238.31.2554,094
22719.238.32.0/2019.238.32.1 to 19.238.47.25419.238.47.2554,094
22819.238.48.0/2019.238.48.1 to 19.238.63.25419.238.63.2554,094
22919.238.64.0/2019.238.64.1 to 19.238.79.25419.238.79.2554,094
23019.238.80.0/2019.238.80.1 to 19.238.95.25419.238.95.2554,094
23119.238.96.0/2019.238.96.1 to 19.238.111.25419.238.111.2554,094
23219.238.112.0/2019.238.112.1 to 19.238.127.25419.238.127.2554,094
23319.238.128.0/2019.238.128.1 to 19.238.143.25419.238.143.2554,094
23419.238.144.0/2019.238.144.1 to 19.238.159.25419.238.159.2554,094
23519.238.160.0/2019.238.160.1 to 19.238.175.25419.238.175.2554,094
23619.238.176.0/2019.238.176.1 to 19.238.191.25419.238.191.2554,094
23719.238.192.0/2019.238.192.1 to 19.238.207.25419.238.207.2554,094
23819.238.208.0/2019.238.208.1 to 19.238.223.25419.238.223.2554,094
23919.238.224.0/2019.238.224.1 to 19.238.239.25419.238.239.2554,094
24019.238.240.0/2019.238.240.1 to 19.238.255.25419.238.255.2554,094
24119.239.0.0/2019.239.0.1 to 19.239.15.25419.239.15.2554,094
24219.239.16.0/2019.239.16.1 to 19.239.31.25419.239.31.2554,094
24319.239.32.0/2019.239.32.1 to 19.239.47.25419.239.47.2554,094
24419.239.48.0/2019.239.48.1 to 19.239.63.25419.239.63.2554,094
24519.239.64.0/2019.239.64.1 to 19.239.79.25419.239.79.2554,094
24619.239.80.0/2019.239.80.1 to 19.239.95.25419.239.95.2554,094
24719.239.96.0/2019.239.96.1 to 19.239.111.25419.239.111.2554,094
24819.239.112.0/2019.239.112.1 to 19.239.127.25419.239.127.2554,094
24919.239.128.0/2019.239.128.1 to 19.239.143.25419.239.143.2554,094
25019.239.144.0/2019.239.144.1 to 19.239.159.25419.239.159.2554,094
25119.239.160.0/2019.239.160.1 to 19.239.175.25419.239.175.2554,094
25219.239.176.0/2019.239.176.1 to 19.239.191.25419.239.191.2554,094
25319.239.192.0/2019.239.192.1 to 19.239.207.25419.239.207.2554,094
25419.239.208.0/2019.239.208.1 to 19.239.223.25419.239.223.2554,094
25519.239.224.0/2019.239.224.1 to 19.239.239.25419.239.239.2554,094
25619.239.240.0/2019.239.240.1 to 19.239.255.25419.239.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses